# Uses of Interface
org.gitana.platform.client.branch.Branch

Packages that use Branch
Package
Description
org.gitana.platform.client.beans
org.gitana.platform.client.branch
org.gitana.platform.client.changeset
org.gitana.platform.client.deletion
org.gitana.platform.client.node
org.gitana.platform.client.node.type
org.gitana.platform.client.principal
org.gitana.platform.client.release
org.gitana.platform.client.repository
org.gitana.platform.client.support

## Uses of Branch in org.gitana.platform.client.beans

Methods in org.gitana.platform.client.beans with parameters of type Branch
Modifier and Type
Method
Description
`void`
TraversalResults.`parse(ObjectFactory factory, Branch branch, Response response)`

## Uses of Branch in org.gitana.platform.client.branch

Classes in org.gitana.platform.client.branch that implement Branch
Modifier and Type
Class
Description
`class`
`BranchImpl`

## Uses of Branch in org.gitana.platform.client.changeset

Methods in org.gitana.platform.client.changeset that return Branch
Modifier and Type
Method
Description
`Branch`
Changeset.`getBranch()`
`Branch`
ChangesetImpl.`getBranch()`

## Uses of Branch in org.gitana.platform.client.deletion

Methods in org.gitana.platform.client.deletion that return Branch
Modifier and Type
Method
Description
`Branch`
Deletion.`getBranch()`
`Branch`
DeletionImpl.`getBranch()`
Constructors in org.gitana.platform.client.deletion with parameters of type Branch
Modifier
Constructor
Description
``
`DeletionImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
Existing node constructor.

## Uses of Branch in org.gitana.platform.client.node

Methods in org.gitana.platform.client.node that return Branch
Modifier and Type
Method
Description
`Branch`
BaseNode.`getBranch()`
`Branch`
BaseNodeImpl.`getBranch()`
Constructors in org.gitana.platform.client.node with parameters of type Branch
Modifier
Constructor
Description
``
`AssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
Existing node constructor.
``
`BaseNodeImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
Existing node constructor.
``
`NodeImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
Existing node constructor.

## Uses of Branch in org.gitana.platform.client.node.type

Constructors in org.gitana.platform.client.node.type with parameters of type Branch
Modifier
Constructor
Description
``
`AbstractDefinitionImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`AssociationDefinitionImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`ChildAssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`CopiedFromAssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`CreatedAssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`DeletedAssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`FeatureDefinitionImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`FormImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`GroupImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`HasBehaviorAssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`HasFormAssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`HasLockAssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`HasMountAssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`HasTranslationAssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`LinkedAssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`NodeListImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`OwnedAssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`PersonImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`RuleImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`TypeDefinitionImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`UpdatedAssociationImpl(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Branch in org.gitana.platform.client.principal

Methods in org.gitana.platform.client.principal with parameters of type Branch
Modifier and Type
Method
Description
`Group`
DomainGroup.`readGroup(Branch branch)`
`Group`
DomainGroup.`readGroup(Branch branch, boolean createIfNotFound)`
`Group`
DomainGroupImpl.`readGroup(Branch branch)`
`Group`
DomainGroupImpl.`readGroup(Branch branch, boolean createIfNotFound)`
`Person`
DomainUser.`readPerson(Branch branch)`
`Person`
DomainUser.`readPerson(Branch branch, boolean createIfNotFound)`
`Person`
DomainUserImpl.`readPerson(Branch branch)`
`Person`
DomainUserImpl.`readPerson(Branch branch, boolean createIfNotFound)`

## Uses of Branch in org.gitana.platform.client.release

Methods in org.gitana.platform.client.release that return Branch
Modifier and Type
Method
Description
`Branch`
Release.`getBranch()`
`Branch`
ReleaseImpl.`getBranch()`

## Uses of Branch in org.gitana.platform.client.repository

Methods in org.gitana.platform.client.repository that return Branch
Modifier and Type
Method
Description
`Branch`
Repository.`createBranch(String changesetId)`
Creates an empty branch on the server.
`Branch`
Repository.`createBranch(String changesetId, com.fasterxml.jackson.databind.node.ObjectNode object)`
Creates a branch on the server.
`Branch`
Repository.`createBranch(String rootBranchId, String changesetId, com.fasterxml.jackson.databind.node.ObjectNode object)`
Creates a branch on the server.
`Branch`
RepositoryImpl.`createBranch(String changesetId)`
`Branch`
RepositoryImpl.`createBranch(String changesetId, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Branch`
RepositoryImpl.`createBranch(String rootBranchId, String changesetId, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Branch`
Repository.`readBranch(String branchId)`
Reads a single branch from the server.
`Branch`
RepositoryImpl.`readBranch(String branchId)`
Methods in org.gitana.platform.client.repository that return types with arguments of type Branch
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Branch>`
Repository.`listBranches()`
Retrieves branches for the repository
`org.gitana.platform.support.ResultMap<Branch>`
Repository.`listBranches(org.gitana.platform.support.Pagination pagination)`
Retrieves branches for the repository
`org.gitana.platform.support.ResultMap<Branch>`
RepositoryImpl.`listBranches()`
`org.gitana.platform.support.ResultMap<Branch>`
RepositoryImpl.`listBranches(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Branch>`
Repository.`queryBranches(com.fasterxml.jackson.databind.node.ObjectNode query)`
Performs a query over the branch index.
`org.gitana.platform.support.ResultMap<Branch>`
Repository.`queryBranches(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Performs a query over the branch index.
`org.gitana.platform.support.ResultMap<Branch>`
RepositoryImpl.`queryBranches(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Branch>`
RepositoryImpl.`queryBranches(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of Branch in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Branch
Modifier and Type
Method
Description
`Branch`
ObjectFactory.`branch(Repository repository)`
`Branch`
ObjectFactory.`branch(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Branch`
ObjectFactory.`branch(Repository repository, Response response)`
`Branch`
ObjectFactoryImpl.`branch(Repository repository)`
`Branch`
ObjectFactoryImpl.`branch(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Branch`
ObjectFactoryImpl.`branch(Repository repository, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Branch
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Branch>`
ObjectFactory.`branches(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Branch>`
ObjectFactoryImpl.`branches(Repository repository, Response response)`
Methods in org.gitana.platform.client.support with parameters of type Branch
Modifier and Type
Method
Description
`Association`
ObjectFactory.`association(Branch branch, Response response)`
`Association`
ObjectFactory.`association(Branch branch, org.gitana.platform.support.QName typeQName)`
`Association`
ObjectFactory.`association(Branch branch, org.gitana.platform.support.QName typeQName, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Association`
ObjectFactoryImpl.`association(Branch branch, Response response)`
`Association`
ObjectFactoryImpl.`association(Branch branch, org.gitana.platform.support.QName typeQName)`
`Association`
ObjectFactoryImpl.`association(Branch branch, org.gitana.platform.support.QName typeQName, com.fasterxml.jackson.databind.node.ObjectNode object)`
`org.gitana.platform.support.ResultMap<Association>`
ObjectFactory.`associations(Branch branch, Response response)`
`org.gitana.platform.support.ResultMap<Association>`
ObjectFactoryImpl.`associations(Branch branch, Response response)`
`Deletion`
ObjectFactory.`deletion(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Deletion`
ObjectFactory.`deletion(Branch branch, Response response)`
`Deletion`
ObjectFactoryImpl.`deletion(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Deletion`
ObjectFactoryImpl.`deletion(Branch branch, Response response)`
`org.gitana.platform.support.ResultMap<Deletion>`
ObjectFactory.`deletions(Branch branch, Response response)`
`org.gitana.platform.support.ResultMap<Deletion>`
ObjectFactoryImpl.`deletions(Branch branch, Response response)`
`BaseNode`
ObjectFactory.`node(Branch branch, Response response)`
`BaseNode`
ObjectFactory.`node(Branch branch, org.gitana.platform.support.QName typeQName)`
`BaseNode`
ObjectFactory.`node(Branch branch, org.gitana.platform.support.QName typeQName, com.fasterxml.jackson.databind.node.ObjectNode object)`
`BaseNode`
ObjectFactoryImpl.`node(Branch branch, Response response)`
`BaseNode`
ObjectFactoryImpl.`node(Branch branch, org.gitana.platform.support.QName typeQName)`
`BaseNode`
ObjectFactoryImpl.`node(Branch branch, org.gitana.platform.support.QName typeQName, com.fasterxml.jackson.databind.node.ObjectNode object)`
`org.gitana.platform.support.ResultMap<BaseNode>`
ObjectFactory.`nodes(Branch branch, Response response)`
`org.gitana.platform.support.ResultMap<BaseNode>`
ObjectFactoryImpl.`nodes(Branch branch, Response response)`
`BaseNode`
ObjectFactory.`produce(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode object, boolean isSaved)`
`BaseNode`
ObjectFactoryImpl.`produce(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode object, boolean isSaved)`